Bug 28919 - samba logrotate bug fills the partition limit
Summary: samba logrotate bug fills the partition limit
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: samba   
(Show other bugs)
Version: beta1
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-22 20:37 UTC by Aleksey Nogin
Modified: 2014-08-31 23:24 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-21 18:57:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2001:044 normal SHIPPED_LIVE : New samba packages available to fix /tmp races 2001-04-05 04:00:00 UTC

Description Aleksey Nogin 2001-02-22 20:37:12 UTC
The logrotate bug in samba-2.0.7-4 (as documented in bug #12832 and bug
#6998) caused samba log file to start multiply exponentially. This
exponential multiplication causes the number of files in /var/log/samba to
reach the filesystem maximal number of files limit. This means that it
becomes impossible for the system to create new files in /var partition
which creates problems with logging, mail delivery, etc. I know that the
logrotate problem is solved in Rawhide (and possibly - RedHat 7), but this
problem is very serious and warrants an Errata update for earlier versions
of RedHat. And you have to hurry - my guess is that in a few weeks
everybody who upgraded early will start hitting the #of files limit.

Comment 1 Aleksey Nogin 2001-02-22 20:39:56 UTC
Sorry, I meant bug #9909 and bug #12832

Comment 2 John Newbigin 2001-02-22 22:48:55 UTC
slocate will fail to build it's database when the file names get too long.  There is probably a bug in slocate too.

Comment 3 Bill Nottingham 2001-05-15 21:29:36 UTC
This should be fixed with the new errata release.

Comment 4 Nils Philippsen 2003-07-25 13:52:10 UTC
This is likely to happen again with new Samba as of samba-3.0.0-1beta3 (log
files specified as log.%m instead of %m.log in smb.conf).

Comment 5 Dave Habben 2003-10-21 14:04:15 UTC
Does this bug still apply to the latest beta?

# rpm -qa samba
samba-3.0.0-15

From: /etc/samba/smb.conf
log file = /var/log/samba/%m.log
max log size = 50

From: /etc/logrotate.d/samba
/var/log/samba/*.log {
    notifempty
    missingok
    sharedscripts
    copytruncate
    postrotate
        /bin/kill -HUP `cat /var/run/smbd.pid /var/run/nmbd.pid
/var/run/winbindd.pid 2> /dev/null` 2> /dev/null || true
    endscript
}



Note You need to log in before you can comment on or make changes to this bug.